body
{
margin: 0;
padding: 0;
}
h1
{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  text-transform: uppercase;
  font-family: consolas;
  letter-spacing: 5px;
  margin: 0;
  padding: 0;
  color: transparent;
}
h1:before
{
  content: attr(data-text);
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  color: #000;
  overflow: hidden;
  border-right: 1px solid #000;
  animation: type 10s steps(30) infinite;
  white-space: nowrap;
}
@keyframes type
{
  0%
  {
    width: 0;
  }
   50%
  {
    width: 100%;
  }
   100%
  {
    width: 0;
  }

}